Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface MembershipModule

All Known Implementing Classes:
  HibernateMembershipModuleImpl, LDAPMembershipModule, LDAPStaticGroupMembershipModuleImpl, LDAPStaticRoleMembershipModuleImpl, MembershipModuleService

    public interface MembershipModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Method Summary
`void` | `assignRoles(User user, java.util.Set roles)` Creates a relationship beetween a user and set of roles.
`void` | `assignUsers(Role role, java.util.Set users)` Creates a relationship beetween a role and set of users.
`java.util.Set` | `findRoleMembers(java.lang.String roleName, int offset, int limit, java.lang.String userNameFilter)` Returns role members based on rolename - depreciated method ethod here only for compatibility with old RoleModule interface
`java.util.Set` | `getRoles(User user)` Return the set of role objects that a given user has.
`java.util.Set` | `getUsers(Role role)` Returns the set of user objects that a given role has.

Method Detail

### getRoles

    java.util.Set getRoles(User user)
                           throws IdentityException,
                                  java.lang.IllegalArgumentException

  Return the set of role objects that a given user has.

  Parameters:
    `user` - the user
  Returns:
    the set of roles of the specified user
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getUsers

    java.util.Set getUsers(Role role)
                           throws IdentityException,
                                  java.lang.IllegalArgumentException

  Returns the set of user objects that a given role has.

  Parameters:
    `role` -
  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### assignUsers

    void assignUsers(Role role,
                     java.util.Set users)
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Creates a relationship beetween a role and set of users. Other roles that have assotiontions with those users remain unaffected.

  Parameters:
    `role` -
    `users` -
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### assignRoles

    void assignRoles(User user,
                     java.util.Set roles)
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Creates a relationship beetween a user and set of roles. This operation will erase any other assotientions beetween the user and roles not specified in the provided set.

  Parameters:
    `user` -
    `roles` -
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findRoleMembers

    java.util.Set findRoleMembers(java.lang.String roleName,
                                  int offset,
                                  int limit,
                                  java.lang.String userNameFilter)
                                  throws IdentityException,
                                         java.lang.IllegalArgumentException

  Returns role members based on rolename - depreciated method ethod here only for compatibility with old RoleModule interface

  Parameters:
    `roleName` -
    `offset` -
    `limit` -
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD